Bug 534168 - Review Request: groovy - Agile dynamic language for the Java Platform
Review Request: groovy - Agile dynamic language for the Java Platform
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
F13FeatureIDEA
:
Depends On: 534021 534135
Blocks: 540708
  Show dependency treegraph
 
Reported: 2009-11-10 14:31 EST by Lubomir Rintel
Modified: 2009-12-09 13:34 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-09 13:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
jochen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Lubomir Rintel 2009-11-10 14:31:56 EST
SPEC: http://v3.sk/~lkundrak/SPECS/groovy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/groovy-1.6.5-1.fc12.src.rpm

Desktop:

Groovy is an agile and dynamic language for the Java Virtual Machine,
built upon Java with features inspired by languages like Python, Ruby and
Smalltalk.  It seamlessly integrates with all existing Java objects and
libraries and compiles straight to Java bytecode so you can use it anywhere
you can use Java.
Comment 1 Lubomir Rintel 2009-11-10 15:06:14 EST
(In reply to comment #0)
> Desktop:
Description:

...
Comment 3 Jochen Schmitt 2009-11-29 15:36:41 EST
Some prereview question:

* Why you have 'Reguires: groovy' on your package?
* should 'Requires: ivy' be 'Requires apache-ivy'?
Comment 4 Lubomir Rintel 2009-11-30 04:10:56 EST
(In reply to comment #3)
> Some prereview question:
> 
> * Why you have 'Reguires: groovy' on your package?

Probably a mistake.

> * should 'Requires: ivy' be 'Requires apache-ivy'?  

apache-ivy provides ivy. At least in jpackage the package is called ivy, therefore I find this good for cross-distro compatibility.
Comment 5 Jochen Schmitt 2009-11-30 12:21:14 EST
The project homepage of groovy offer groovy-1.6.6 as the current stable release.

It may be nice, if you can offer a new package based on this release.
Comment 6 Lubomir Rintel 2009-11-30 15:09:55 EST
(In reply to comment #5)
> The project homepage of groovy offer groovy-1.6.6 as the current stable
> release.
> 
> It may be nice, if you can offer a new package based on this release.  

Sure, here you are:

SPEC: http://v3.sk/~lkundrak/SPECS/groovy.spec
SRPM: http://v3.sk/~lkundrak/SRPMS/groovy-1.6.6-1.fc13.src.rpm
Comment 8 Jochen Schmitt 2009-12-03 12:48:21 EST
Good:
+ Basename of the SPEC file matches with package name
+ Name of the package fullfill naming guidelines
+ Consistently usage of rpm macros
+ URL tag shows to proper project homepage
+ License tag state ASL 2.0 as valid OSS license
+ License in the copyright notes on the top of the
  source files matches license stated by the license
  tag 
+ Could download upstream sources via spectool -g
+ Package sources matches with upstream
(md5sum: d50466fab035b9c4eaff87e8eadb119d)
+ Package contains a javadoc subpackage
+ Package has proper BuildRoot definition
+ BuildRoot will be cleaned at the beginning of %clean and %install
+ Local build works fine.
+ Rpmlint is silent on source package
+ Rpmlint is silent on binary package
+ Rpmlint is silent on javadoc subpackage
+ Scratch build on koji works fine
+ Local install and uninstall works fine
+ Start of application works without a crash
+ GUI menu works fine
+ Fies have proper permissions
+ Files stanza has no duplicated entries
+ All package files and dirs are own by the package
+ No file or dir may belong to another package
+ %doc stanza is small
+ Package has proper changelog

Bad:
- File LICENSE.txt doesn't contains a verbatin copy of
  the license text. Insteand you find a link to the
  license text provided by a website.
- Not all source files seems to have a copyright
  notice.
- It may be nice, if can the chose a shrter text
  for the GenericName tag in the desktop file
Comment 9 Lubomir Rintel 2009-12-03 13:17:43 EST
(In reply to comment #8)
> Bad:
> - File LICENSE.txt doesn't contains a verbatin copy of
>   the license text. Insteand you find a link to the
>   license text provided by a website.

Upstream was informed, this seems to be allowed per packaging guidelines though.

> - Not all source files seems to have a copyright
>   notice.

Sent a mail to upstream mailing list.

> - It may be nice, if can the chose a shrter text
>   for the GenericName tag in the desktop file  

Will do that for next package spin. Does this block review (or any of the above two?)
Comment 10 Jochen Schmitt 2009-12-03 13:38:10 EST
(In reply to comment #9)

> Will do that for next package spin. Does this block review (or any of the above
> two?)  

It may be nice, if we can do it in the package which we want to introduced into Fedora.
Comment 11 Lubomir Rintel 2009-12-05 04:47:30 EST
Jochen, I'm not sure what's the action point now and replying "may be nice" didn't really help me. Could you please be more specific at what blocks this review?
Comment 12 Jochen Schmitt 2009-12-08 15:27:15 EST
When I install groovy, I have the following menu text:

"Programming environment for the Groovy langua..."

This text is too large to display is at whole in the menu.

So it want to see, that you may find a shorter version of this text which should fit into the menu.

Best Regards:

Jochen Schmitt
Comment 14 Jochen Schmitt 2009-12-09 12:21:22 EST
Good:
+ Package contains recent release of the application
+ Packed tar ball matches with upstream
(md5sum: f63532d75560f101bf1f40b7a3760228)
+ Local build works fine
+ Local install/uninstall works fine
+ Desktop menu entry looks fine.
+ Mock build works fine


*** APPROVED ***
Comment 15 Lubomir Rintel 2009-12-09 12:24:29 EST
Thank you!

New Package CVS Request
=======================
Package Name: groovy
Short Description: Agile dynamic language for the Java Platform
Owners: lkundrak
Branches: F-11 F-12 EL-5
Comment 16 Kevin Fenzi 2009-12-09 12:54:35 EST
cvs done.
Comment 17 Lubomir Rintel 2009-12-09 13:34:10 EST
Imported and built.

Note You need to log in before you can comment on or make changes to this bug.